function ASD = ASDhaplo(ms)
%function ASD = ASDhaplo(ms)
%Returns ASD=vector of all pairwise MS haplotype comparisons, going row-wise in the botton-left triangle
%ms is an nhap x nloci loci of repeat sizes for each haplotype.

[nhap,nloc]=size(ms);
npairs=nhap*(nhap-1)/2;

ASD=zeros(npairs,1);
counter=0;
for i=2:nhap
for j=1:i-1
  counter=counter+1;
  ASD(counter) = mean( (ms(i,:)-ms(j,:)).^2 );
end
end
