function R = Exc_Rst(M,ms,biasflag)
%function R = Exc_Rst(M,ms,biasflag)
%Returns PAIRWISE Rst values (AMOVA type) for each pop comp in M
%Values are returned in vector, reading row-wise from the bottom-left triangle
%M is an nhap x npop matrix of haplotype counts in each pop
%ms is an nhap x nloci loci of repeat sizes for each haplotype.
%If biasflag(optional)>0, biased version returned (limit as all n's->infinity)

if nargin==2, biasflag=0; end

[nhap,npop]=size(M);
N=sum(M);
npairs=npop*(npop-1)/2;

R=zeros(npairs,1);
counter=0;
for i=2:npop
for j=1:i-1
  counter=counter+1;
  R(counter) = Rst_phi([M(:,i) M(:,j)],ms,biasflag);
end
end

