function m = Freq_mix(M);
%function m = Freq_mix(M);
%M has admixed pop in col 1, and parent pops in the remaining cols
%m is prop of admixture from each parent pop, based on LS fitting of allele freqs

[nhap,npop] = size(M);
N=sum(M);

x = M./(ones(nhap,1)*N);	%convert to freqs
x = x(:,1:npop-1) - x(:,npop)*ones(1,npop-1);	%subtract freqs in last col

y = x(:,1);
X = x(:,2:npop-1);

m = X\y;
m = [m; 1-sum(m)];
