function m = J_mix(M);
%function m = J_mix(M);
%M has admixed pop in col 1, and parent pops in the remaining cols
%m is prop of admixture from each parent pop, based on LS fitting of "kinship" or
%  "gene identity" (Chakraborty method)

[nhap,npop] = size(M);
N=sum(M);

x = M./(ones(nhap,1)*N);	%convert to freqs

J = x'*x;				%calculate "kinships" among all pops
for i=1:npop			%do bias adjustments for x^2 values
  J(i,i) = (N(i)*J(i,i) -1)/(N(i)-1);
end
J = J(2:npop,:);			%remove 1st line refering to Admixed Pop

J = J(:,1:npop-1) - J(:,npop)*ones(1,npop-1);	%subtract J's in last col
y = J(:,1);
X = J(:,2:npop-1);

m = X\y;
m = [m; 1-sum(m)];
