function var = MSvar(M,ms,biasflag)
%function var = MSvar(M,ms,biasflag)
%Returns mean(Var) over all loci in ms
%M is an nhap x npop matrix of haplotype counts in each pop
%ms is an nhap x nloci loci of repeat sizes for each haplotype.
%If biasflag(optional)>0, biased version returned (limit as all n's->infinity)
%Note that ASD (defined for within-pop pairwise comps) = 2*MSvar


[nhap,P]=size(M);
[nhap,nloc]=size(ms);
N=sum(M);  NN=sum(N);

sumx_2 = zeros(1,P);    %equals (sum(x)^2)/Ni, then summed over loci for each pop
sumx2 = zeros(1,P);    %equals sum(x^2), then summed over loci for each pop

for i=1:P
  sumx_2(i) = sum( sum( (M(:,i)*ones(1,nloc)).*ms ).^2 ) /N(i);
  sumx2(i) =  sum( sum( (M(:,i)*ones(1,nloc)).*(ms.^2) ) );
end

Var_i = (sumx2 - sumx_2)./(N-1);

if nargin>2
if biasflag>0
  Var_i = (sumx2 - sumx_2)./N;
end
end

var=Var_i./nloc;