function PHS = Nei_PHS(M);
%function PHS = Nei_PHS(M);
%Returns (unbiased) Nei's PHS= "Probability of haplotype sharing"
%Also termed "kinship" by Cavalli-Sforza et al. on p.27
%  M has vectors of haplotype counts
%  if 'biasflag' is set >0, the biased version of the statistic is returned.
%  if npop>2, I is a vector of pairwise comps taken row-wise from bottom-left triangle.

[nhap,npop]=size(M);
N=sum(M);
npairs=npop*(npop-1)/2;

PHS=zeros(npairs,1);
counter=0;
for i=2:npop
for j=1:i-1
  counter=counter+1;
  PHS(counter) = sum(M(:,i).*M(:,j))/N(i)/N(j);
end
end
