function seed=rndseed

%This M-file sets the seed for the built-in 'rand' RNG
%The 'pause' command waits for the user to hit a key and therefore
% introduces an element of randomness between the 1st call to 'clock'
% and the 2nd and the 3rd and 4th and 5th.
%Element 6 in the c vectors contains seconds in 1/100th sec accuracy.
%The last two digits are used to seed the built-in 
% random number generator 'rand'.

c=clock;
seed = rem(c(6)*100,100);
for i=1:4
  disp('Press a key (again) ...')
  pause;
  c=clock;
  seed = seed*100 + rem(c(6)*100,100);
end
seed = fix(seed * (2^31-1) / 1e10);
rand('seed',seed);
