function sim_Jm = bootJmix(M,runs,rngflag)
%function sim_Jm = bootJmix(M,runs,rngflag)
% Does bootstrapping of J_mix m values
% Admixed pop is 1st col in M matrix

if nargin<3, rndseed, end

[nhap,npop]=size(M);
N=sum(M);					%=nsamp
m= M./(ones(nhap,1)*N);			%freqs
index = (1:nhap)';
lik = cumsum(m);	     %used to make random draws from observed within-pop haplo distn
npairs=npop*(npop-1)/2;


sim_Jm=zeros(runs,npop-1);
for r=1:runs
  if rem(r,10)==0, r, end		%keep tabs on progress
  %simulate the M matrix
  simM=zeros(nhap,npop);
  for x=1:npop
  for i=1:N(x)
    draw = 1 + sum(rand>lik(:,x));
    simM(draw,x) = simM(draw,x)+1;
  end
  end

  sim_Jm(r,:)=J_mix(simM)';
end

J_mix(M)'
