function simI = boot_I(M,runs,rngflag)
%function simI = boot_I(M,runs,rngflag)
% Does bootstrapping of Nei's I
% No adjustment is made to simulated values

%Order of cols in simulated distances is row-wise in bottom left triangle

if nargin<3, rndseed, end

[nhap,npop]=size(M);
N=sum(M);					%=nsamp
m= M./(ones(nhap,1)*N);			%freqs
lik = cumsum(m);	     %used to make random draws from observed within-pop haplo distn
npairs=npop*(npop-1)/2;


simF=zeros(runs,npairs);
for r=1:runs
  if rem(r,10)==0, r, end		%keep tabs on progress
  %simulate the M matrix
  simM=zeros(nhap,npop);
  for x=1:npop
  for i=1:N(x)
    draw = 1 + sum(rand>lik(:,x));
    simM(draw,x) = simM(draw,x)+1;
  end
  end

  simI(r,:)=Nei_I(simM)';
end

distconv(Nei_I(M))
