function simP = boot_Pi(m1,runs,tabs)
%function simP = boot_Pi(m1,runs,tabs)
% Does bootstrapping of S = mean Number of pairwise differences between chromosomes
% tabs sets how often "r" index is printed to screen (default=10)
% m1 is (n*L) data matrix for Pop1, where n=number chromos in sample and
% L=No. segregating sites.
% m1 is a series of 0/1 codings for each site, with one row per observed chromosome

if nargin<3, tabs=10, end

[n,L]=size(m1);

simP=zeros(runs,1);
for r=1:runs
  if rem(r,tabs)==0, r, end		%keep tabs on progress
  %bootstrap the m1 matrix
  randi = ceil(rand(n,1)*n);
  simP(r) = mtDNA_Pi(m1(randi,:));
end
