function simV = boot_V(M,ms,runs,rngflag)
%function simV = boot_V(M,ms,runs,rngflag)
% Does bootstrapping of V = mean(var) over all MS loci
% No adjustment is made to simulated values


if nargin<4, rndseed, end

[nhap,npop]=size(M);
N=sum(M);					%=nsamp
m= M./(ones(nhap,1)*N);			%freqs
index = (1:nhap)';
lik = cumsum(m);	     %used to make random draws from observed within-pop haplo distn
npairs=npop*(npop-1)/2;


simV=zeros(runs,npop);
for r=1:runs
  if rem(r,10)==0, r, end		%keep tabs on progress
  %simulate the M matrix
  simM=zeros(nhap,npop);
  for x=1:npop
  for i=1:N(x)
    draw = 1 + sum(rand>lik(:,x));
    simM(draw,x) = simM(draw,x)+1;
  end
  end

  simV(r,:)=MSvar(simM,ms);
end

MSvar(M,ms)
