function [simh,simI,simF,simPHS] = boot_all(M,runs,rngflag)
%function [simh,simI,simF,simPHS] = boot_all(M,runs,rngflag)
% Does bootstrapping of h, simI, simF, and simPHS simulataneously
% No adjustment is made to simulated values

%Order of cols in simulated distances is row-wise in bottom left triangle

if nargin<3, rndseed, end

[nhap,npop]=size(M);
N=sum(M);					%=nsamp
m= M./(ones(nhap,1)*N);			%freqs
index = (1:nhap)';
lik = cumsum(m);	     %used to make random draws from observed within-pop haplo distn
npairs=npop*(npop-1)/2;


simh=zeros(runs,npop);
simF=zeros(runs,npairs);
simI=zeros(runs,npairs);
simPHS=zeros(runs,npairs);
for r=1:runs
  if rem(r,10)==0, r, end		%keep tabs on progress
  %simulate the M matrix
  simM=zeros(nhap,npop);
  for x=1:npop
  for i=1:N(x)
    draw = 1 + sum(rand>lik(:,x));
    simM(draw,x) = simM(draw,x)+1;
  end
  end

  simh(r,:)=Nei_h(simM);
  simF(r,:)=Rey_Fst(simM)';
  simI(r,:)=Nei_I(simM)';
  simPHS(r,:)=Nei_PHS(simM)';
end

Nei_h(M)
distconv(Rey_Fst(M))
distconv(Nei_I(M))
distconv(Nei_PHS(M))
