function simh = boot_h(M,runs,rngflag,tabs)
%function simh = boot_h(M,runs,rngflag,tabs)
% Does bootstrapping of h
% No adjustment is made to simulated values
% If rndflag=0, no rndseed called (default rndflag=1)
% tabs sets how often "r" index is printed to screen (default=10)

if nargin<4, tabs=10, end
if nargin<3, rndseed, end

[nhap,npop]=size(M);
N=sum(M);					%=nsamp
m= M./(ones(nhap,1)*N);			%freqs
index = (1:nhap)';
lik = cumsum(m);	     %used to make random draws from observed within-pop haplo distn
npairs=npop*(npop-1)/2;


simh=zeros(runs,npop);
for r=1:runs
  if rem(r,tabs)==0, r, end		%keep tabs on progress
  %simulate the M matrix
  simM=zeros(nhap,npop);
  for x=1:npop
  for i=1:N(x)
    draw = 1 + sum(rand>lik(:,x));
    simM(draw,x) = simM(draw,x)+1;
  end
  end

  simh(r,:)=Nei_h(simM);
end
