function m = colconv(vec,fill)
%function m = colconv(vec,fill)
%converts vec, which is vector of all npop*npop pairwise comps, back into a lower -left triangle
%unlike distconv, colconv enters elements column-wise into the lower-left triangle
%if 'fill' is specified, then this is number used to fill in top right, else "-9" is used.

if nargin<2, fill=-9, end
npop= (1 + sqrt(1+8*length(vec)))/2;       %solves npairs=n(n-1)/2

m=ones(npop,npop).*(fill);
counter=0;
for i=1:npop-1
for j=i+1:npop
  counter=counter+1;
  m(i,j)=vec(counter);
end
end
