function m = distconv(vec,fill)
%function m = distconv(vec,fill)
%converts vec, which is vector of all npop*npop pairwise comps, back into a lower -left triangle
%unlike colconv, distconv enters elements row-wise into the lower-left triangle
%if 'fill' is specified, then this is number used to fill in top right, else "-9" is used.
%The opposite of "distconv" is "matconv"

if nargin<2, fill=-9, end
npop= (1 + sqrt(1+8*length(vec)))/2;       %solves npairs=n(n-1)/2

m=ones(npop,npop).*(fill);
counter=0;
for i=2:npop
for j=1:i-1
  counter=counter+1;
  m(i,j)=vec(counter);
end
end
