function m = distdiag(vec,M)
%function m = distdiag(vec,M)
%converts vec, which is vector of all npop*npop pairwise comps, back into a lower -left triangle
%Differs from "distconv" in that -1/(n-1) is added on diagonal, and all other entries set =-9

npop= (1 + sqrt(1+8*length(vec)))/2;       %solves npairs=n(n-1)/2

m=ones(npop,npop).*(-9.0);
counter=0;
for i=2:npop
for j=1:i-1
  counter=counter+1;
  m(i,j)=vec(counter);
end
end

N=sum(M);
for i=1:npop
  m(i,i) = -1/(N(i)-1);
end