function [vec,ipop] = matconv(M)
%function [vec,ipop] = matconv(M)
%Opposite of "distconv"
%converts distance matrix M into vector of all npop*npop pairwise comps
% enters elements row-wise from the lower-left triangle
%"ipop" is npairs*2 matrix giving indices for the 2 pops giving the pairwise value

[npop,npop]=size(M);
npairs = npop*(npop-1)/2;
vec = zeros(npairs,1);
ipop = zeros(npairs,2);

counter=0;
for i=2:npop
for j=1:i-1
  counter=counter+1;
  vec(counter) = M(i,j);
  ipop(counter,1) = i;
  ipop(counter,2) = j;
end
end
