function Pi = mtDNA_Pi(m1)
%function Pi = mtDNA_Pi(m1)
% Returns mean number of pairwise diffs in m1
% m1 is (n*L) data matrix for Pop1, where n=number chromos in sample and
% L=No. segregating sites.
% m1 is a series of 0/1 codings for each site, with one row per observed chromosome

[n,L]=size(m1);
Pi = 0;

for i=1:n-1
for j=i+1:n
    Pi = Pi + sum( (m1(i,:)~=m1(j,:)) );
end
end

Pi = Pi * 2/n/(n-1);
