function sig_num = siglist(D,simD,names,alpha,outfile)
%function sig_num = siglist(D,simD,names,alpha,outfile)
%
%Takes the distances stored in D (npair=n*(n-1)/2 vector of all pairwise comps)
% plus the bootstraped values in simD (runs*npair matrix)
% plus the population names stored in names (text matrix length n)
%With this info, Z-tests are performed on all D(X,Z)-D(Y,Z) comparisons.
%All significant results (at level alpha) are output to file <outfile>.txt
%sig_num returns the total number of significant results found

sig_num=0;
npair=length(D);
[npop,junk]=size(names);

eval(['diary ' outfile '.txt'])
disp(['List of all significant D(X,Z)-D(Y,Z) differences at alpha=' num2str(alpha) ' level']);
disp(' '); disp(' ');

for i=2:npop
for j=1:i-1
   counter1 = (i-1)*(i-2)/2 + j;
   disp(['Sig diffs involving D( ' names(i,:) ', ' names(j,:) ')=' num2str(D(counter1))]);
   for k=2:npop
   for l=1:k-1
      counter2 = (k-1)*(k-2)/2 + l;
      if ((k==i)|(k==j)|(l==i)|(l==j))&(counter2~=counter1)
        diff = D(counter1) - D(counter2);
        Z = diff/sqrt(cov( simD(:,counter1) - simD(:,counter2) ));
%        P = Nprob(abs(Z))*2; Nprob not working properly
if abs(Z)>1.96, P=0.05; else, P=1; end
	  if P <= alpha
           sig_num = sig_num+1;
           disp(['        -D( ' names(k,:) ', ' names(l,:) ')=' num2str(diff) ',  Z=' num2str(Z) ]);
        end
      end
   end
   end
   disp(' ');
end
end

sig_num
diary off